Agents
List Executions
List executions for a specific agent registration.
GET
/
agents
/
{uid}
/
executions
/
cURL
curl --request GET \
--url https://api.avala.ai/api/v1/agents/{uid}/executions/ \
--header 'X-Avala-Api-Key: <api-key>'import requests
url = "https://api.avala.ai/api/v1/agents/{uid}/executions/"
headers = {"X-Avala-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Avala-Api-Key': '<api-key>'}};
fetch('https://api.avala.ai/api/v1/agents/{uid}/executions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"name": "<string>",
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"events": [
"<string>"
],
"callback_url": "<string>",
"is_active": true,
"project": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_types": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next": "<string>",
"previous": "<string>"
}Authorizations
API_KeyJWT
API key for authentication. Generate one in Mission Control Settings > Security & Identity.
Path Parameters
Query Parameters
Which field to use when ordering the results.
The pagination cursor value.
Number of results to return per page.
Was this page helpful?
Previous
Test AgentUse this endpoint to test agent in the Avala API using POST on /agents/{uid}/test/.
Next
⌘I
cURL
